LR_LOG2REPORT.IN(1)

NAME
lr_log2report - generates a report from a log file

SYNOPSIS
lr_log2report [options] dlf_converter [ logfile ] [ output_file ]

lr_log2report --version

lr_log2report --help [dlf-converters|output-formats|report-templates]

OPTIONS

--help [section]
    If no argument is given, prints usage information and exits. Argument can be one of the following:

    dlf-converters
        Prints the list of available DLF converters and exits.

    output-formats
        Prints the list of available output formats and exits.

    report-templates
        Prints the list of available report templates and exits.

--version
    Prints Lire's version and exits.

--output-format|-o output format
    Selects the ouput format in which to generate the report.

--template|-t name
    Uses the report configuration named name to generate the report.

DESCRIPTION
lr_log2report reads a log file from STDIN or the specified argument and will output a formatted Lire report on STDOUT or in the output_file argument. The format of the log file is specified using the dlf_converter argument. Use the --help dlf-converters option to get a list of all currently available DLF converters.

In case the log is passed in a compressed format, it's uncompressed on the fly, using gzip(1).

WARNING: This command outputs binary data on the terminal for all output formats except txt and xml. You should redirect stdout to a file when using those output formats.

In the case where output format is html, the output_file argument will be interpreted as a directory name. This directory will hold the various html files. In case this argument is omitted, a tar(1) file will be output on STDOUT.

EXAMPLES
To process a Postfix log and display the report as text, use

 $ lr_log2report postfix /var/log/mail.log

To process a Postfix log and create an HTML report in a directory, use

 $ lr_log2report -o html postfix /var/log/mail.log postix-report

SEE ALSO
lr_log2mail(1), lr_xml2report(1), lr_xml2mail(1), lire(1), lire(7), documentation in the Lire User Manual

AUTHORS
  Joost van Baal <joostvb@logreport.org>
  Francis J. Lacoste <flacoste@logreport.org>

VERSION
$Id: lr_log2report.in,v 1.96 2004/09/04 10:49:26 vanbaal Exp $

COPYRIGHT
Copyright (C) 2000-2004 Stichting LogReport Foundation LogReport@LogReport.org

This program is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html or write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.